class ResponseNormalizerError extends Error {
    static invalidJson () {
        return new self('Cannot normalize: Invalid json');
    }
}

class ResponseNormalizer {
    normalize (data) {
        if (data instanceof String) {
            try {
                data = JSON.parse(data);
            } catch (e) {
                throw ResponseNormalizerError.invalidJson()
            }
        }
    }
}

export { ResponseNormalizer }